You are viewing a plain text version of this content. The canonical link for it is here.
Posted to github@arrow.apache.org by GitBox <gi...@apache.org> on 2020/10/12 15:44:40 UTC

[GitHub] [arrow] bkietz commented on a change in pull request #8371: ARROW-4960: [R] Build r-arrow conda package in crossbow

bkietz commented on a change in pull request #8371:
URL: https://github.com/apache/arrow/pull/8371#discussion_r503381879



##########
File path: dev/tasks/conda-recipes/r-arrow/build_win.sh
##########
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -exuo pipefail
+
+
+# Rename arrow.dll to lib_arrow.dll to avoid conflicts with the arrow-cpp arrow.dll
+sed -i -e 's/R_init_arrow/R_init_lib_arrow/g' r/src/arrowExports.cpp

Review comment:
       ```suggestion
   sed -i -e 's/void R_init_arrow/__declspec(dllexport) void R_init_lib_arrow/g' r/src/arrowExports.cpp
   ```
   Maybe lookup of the *init* is failing silently, then falling back to dynamic lookup 




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org